# DaprProtos.TerminateWorkflowRequestOrBuilder (dapr-sdk-parent 1.10.0 API)

Package io.dapr.v1

## Interface DaprProtos.TerminateWorkflowRequestOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `DaprProtos.TerminateWorkflowRequest`, `DaprProtos.TerminateWorkflowRequest.Builder`

Enclosing class:
  DaprProtos

    public static interface DaprProtos.TerminateWorkflowRequestOrBuilder
    extends com.google.protobuf.MessageOrBuilder

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getInstanceId()` ID of the workflow instance to terminate.
`com.google.protobuf.ByteString` `getInstanceIdBytes()` ID of the workflow instance to terminate.
`String` `getWorkflowComponent()` Name of the workflow component.
`com.google.protobuf.ByteString` `getWorkflowComponentBytes()` Name of the workflow component.

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Method Detail

#### getInstanceId

    String getInstanceId()

     ID of the workflow instance to terminate.

`string instance_id = 1 [json_name = "instanceID"];`

Returns:
  The instanceId.

#### getInstanceIdBytes

    com.google.protobuf.ByteString getInstanceIdBytes()

     ID of the workflow instance to terminate.

`string instance_id = 1 [json_name = "instanceID"];`

Returns:
  The bytes for instanceId.

#### getWorkflowComponent

    String getWorkflowComponent()

     Name of the workflow component.

`string workflow_component = 2 [json_name = "workflowComponent"];`

Returns:
  The workflowComponent.

#### getWorkflowComponentBytes

    com.google.protobuf.ByteString getWorkflowComponentBytes()

     Name of the workflow component.

`string workflow_component = 2 [json_name = "workflowComponent"];`

Returns:
  The bytes for workflowComponent.